Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class VpcAttachment

    java.lang.Object
      com.amazonaws.services.ec2.model.VpcAttachment

    public class VpcAttachment

extends Object

Constructor Summary
`VpcAttachment()`

Method Summary
`String` | `getState()`
`String` | `getVpcId()`
`void` | `setState(String state)`
`void` | `setVpcId(String vpcId)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`VpcAttachment` | `withState(String state)` Returns a reference to this object so that method calls can be chained together.
`VpcAttachment` | `withVpcId(String vpcId)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VpcAttachment

    public VpcAttachment()

Method Detail

### getVpcId

    public String getVpcId()

  Returns:

### setVpcId

    public void setVpcId(String vpcId)

  Parameters:
    `vpcId` -

### withVpcId

    public VpcAttachment withVpcId(String vpcId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Returns:

### setState

    public void setState(String state)

  Parameters:
    `state` -

### withState

    public VpcAttachment withState(String state)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.